%% 
%% This is file `a0hepv.cls'
%% 
%% Copyright (C) 2003 Hans Ekkehard Plesser
%% 
%% Copyright (C) 02.03.98 Karsten Held
%%
%% Copyright (C) 07.05.97 Gerlinde Kettl and Matthias Weiser (Uni Regensburg)
%% 
%% A0 poster, for use with vTeX
%%
%% Problems, bugs and comments to 
%% karsten.held@physik.physik.uni-augsburg.de
%% 
\ProvidesClass{a0hepv}[2003/06/07 v0.99 a0hepv class (GK, MW)]
\NeedsTeXFormat{LaTeX2e}[1995/06/01]
\LoadClass{article}

\usepackage{pstcol,pst-grad}
\usepackage{color}
\usepackage{multicol}
\usepackage{calc}

\DeclareOption*{\PackageWarning{a0poster}{Unknown Option \CurrentOption}}
%\ExecuteOptions{landscape,a0b,final}
\ProcessOptions\relax

\setlength{\paperwidth}{120cm}
\setlength{\paperheight}{88cm}
\setlength{\textwidth}{120cm}  % changed
\setlength{\textheight}{88cm}

%% Setting proper dimensions for a DIN A0 printer

\setlength{\headheight}{0 cm}
\setlength{\headsep}{0 cm}
\setlength{\oddsidemargin}{-1in}
\setlength{\topmargin}{-1in}
\setlength{\parindent}{0mm}

\input{a0size.sty}

\renewcommand{\familydefault}{phv}

\renewcommand{\tiny}{\fontsize{12}{14}\selectfont}
\renewcommand{\scriptsize}{\fontsize{14.4}{18}\selectfont}   
\renewcommand{\footnotesize}{\fontsize{17.28}{22}\selectfont}
\renewcommand{\small}{\fontsize{20.74}{25}\selectfont}
\renewcommand{\normalsize}{\fontsize{24.88}{30}\selectfont}
\renewcommand{\large}{\fontsize{29.86}{37}\selectfont}
\renewcommand{\Large}{\fontsize{35.83}{45}\selectfont}
\renewcommand{\LARGE}{\fontsize{43}{54}\selectfont}
\renewcommand{\huge}{\fontsize{51.6}{64}\selectfont}
\renewcommand{\Huge}{\fontsize{61.92}{77}\selectfont}
\newcommand{\veryHuge}{\fontsize{74.3}{93}\selectfont}
\newcommand{\VeryHuge}{\fontsize{89.16}{112}\selectfont}
\newcommand{\VERYHuge}{\fontsize{107}{134}\selectfont}
\renewcommand{\section}{\@startsection {section}{1}{\z@}%
  {0cm}%
  {1ex \@plus0.1ex}%
%  {-3.5ex \@plus -1ex \@minus -.2ex}%
%  {2.3ex \@plus.2ex}%
  {\reset@font\Large\bfseries\sffamily}}
\renewcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
  {-3.25ex\@plus -1ex \@minus -.2ex}%
  {1.5ex \@plus .2ex}%
  {\reset@font\large\bfseries\sffamily}}

\renewenvironment{thebibliography}[1]
     {%\section*{\refname}%
      %\@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\renewcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty


\setlength\smallskipamount{6pt plus 2pt minus 2pt}
\setlength\medskipamount{12pt plus 4pt minus 4pt}
\setlength\bigskipamount{24pt plus 8pt minus 8pt}

\setlength\abovecaptionskip{25pt}
\setlength\belowcaptionskip{0pt}
\setlength\abovedisplayskip{25pt plus 6pt minus 15 pt}
\setlength\abovedisplayshortskip{0pt plus 6pt}
\setlength\belowdisplayshortskip{13pt plus 7pt minus 6pt}
\setlength\belowdisplayskip\abovedisplayskip

\AtBeginDocument{
\normalsize
\pagestyle{empty}
}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%               Hintergrund                    %%%             
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\posterbackground}[3]{\newrgbcolor{cgradbegin}{#1}
  \newrgbcolor{cgradend}{#2} 
  \psframe[fillstyle=gradient,gradend=cgradend,
  gradbegin=cgradbegin,gradmidpoint=#3](0.,0.)(1.\textwidth,-1.\textheight)}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%                Header                        %%%             
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newsavebox{\pbheaderbox}

\newenvironment{header}[1][1.0, 1.0, 1.0] {%
  \definecolor{hcolor}{rgb}{#1}%   % keep for postprocessing
  \begin{lrbox}{\pbheaderbox}% 
  \begin{minipage}[t]{\textwidth-40mm}%  % subtract twice framesep
 }   
 {% 
  \end{minipage}%
  \end{lrbox}%
  \psframebox[linecolor=hcolor,linewidth=0pt,border=0pt,
              fillstyle=solid,fillcolor=hcolor,framesep=20mm,boxsep=true]%
  {\usebox{\pbheaderbox}}%
 }


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%                pbox                          %%%             
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% framesep for poster boxes
\newlength{\pboxfsep}
\setlength{\pboxfsep}{1cm}  

% boxes for title and contents
\newsavebox{\pbtitlebox}
\newsavebox{\pbcontentbox}

% \begin{pbox}[0.4 0.5 0.6]{Title}
%
\newenvironment{pbox}[2][0.3804, 0.5686, 0.0431]{  % NLHGreen
%
% save color
\definecolor{pbboxcolor}{rgb}{#1}
%
% save title
\begin{lrbox}{\pbtitlebox}%
  \parbox{\linewidth-2\pboxfsep-6pt}% discount for framesep
    {\begin{center}\color{white}\veryHuge\textbf{#2}\end{center}}
\end{lrbox}
%
% save contents
\begin{lrbox}{\pbcontentbox}%
  \begin{minipage}{\linewidth-2\pboxfsep-6pt}% discount for framesep
}% end of begin 
{% begin of end 
  \end{minipage}
\end{lrbox} % contentbox
%
% wrapping parbox to keep title and content together
\parbox{\linewidth}{%
%
% title
\psframebox[fillstyle=solid,fillcolor=pbboxcolor,framesep=\pboxfsep,%
            linecolor=pbboxcolor,linewidth=3pt,border=0pt]{%
           \usebox{\pbtitlebox}}

\vspace*{-\lineskip} % no gap between title and content box

% content
\psframebox[fillstyle=solid,fillcolor=white,linecolor=pbboxcolor,%
            linewidth=3pt,border=0pt,framesep=\pboxfsep]{%
           \usebox{\pbcontentbox}}
} % wrapping parbox
}

%\endinput
%% 
%% End of file `a0poster.cls'.





